Bug 1024889 - Tracker: oVirt 3.4 release
Summary: Tracker: oVirt 3.4 release
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: bugs@ovirt.org
URL:
Whiteboard: integration
Depends On: 906359 987832 1038988 1039616 1040791 1045350 1053614 1054080 1054195 1055153 1055188 1055441 1055881 1056501 1057225 1057761 1058018 1059258 1059578 1059606 1059892 1059893 1059894 1060528 1062615 1063746 1063762 1064829 1064907 1065270 1066466 1066489 1066617 1066953 1066956 1067058 1067096 1067548 1067928 1069151 1069193 1069201 1069522 1070430 1070742 1071536 1071997 1072307 1072474 1072476 1072501 1073486 1073548 1074431 1077447
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-30 14:46 UTC by Sandro Bonazzola
Modified: 2014-03-31 12:29 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.4.0-ga
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 12:29:53 UTC
oVirt Team: ---
sbonazzo: ovirt_requires_release_note+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25085 None ABANDONED build: ovirt-engine-3.4.0 Never
oVirt gerrit 25587 None MERGED packaging: ovirt-engine-3.4.0 Never
oVirt gerrit 25610 None MERGED build: ovirt-engine-3.4.0_rc Never
oVirt gerrit 25883 None ABANDONED build: ovirt-engine-3.4.0_rc2 Never

Description Sandro Bonazzola 2013-10-30 14:46:18 UTC
This is a tracker bug for all bugs blocking the 3.4 release of oVirt.

Comment 1 Sven Kieske 2014-01-02 13:47:25 UTC
I suggest https://bugzilla.redhat.com/show_bug.cgi?id=1045350 as a blocker
(REST error during VM creation via API).

Comment 2 Sven Kieske 2014-01-08 12:36:26 UTC
I suggest 1038053 as a blocker.
I'd even implement the patches myself if no one else can do it.
But I'd need some guidance what needs to get changed.

Comment 3 Sven Kieske 2014-01-15 12:22:48 UTC
I'd like to suggest https://bugzilla.redhat.com/show_bug.cgi?id=987832 as a blocker.
with static ip assignment to a host the ovirtmgmt bridge can not be added to
that host.

This is basic functionality imho, which should just work.

Comment 4 Sven Kieske 2014-01-15 14:20:11 UTC
I'd also like to suggest Bug 1038121 as a blocker.

There are two issues:
1. When you boot ubuntu via "run once" with cloud init
data, the vm does not boot completely unless you provide special kernel
parameters.
2. when you reboot the vm the iso payload with cloud init data is still attached
to the vm, thus preventing correct booting (except when you set the kernel parameter).

Comment 5 Sven Kieske 2014-02-25 09:08:15 UTC
Can this one get included in 3.4? I think the fix for it might be really simple:
https://bugzilla.redhat.com/show_bug.cgi?id=1064927

Comment 6 Michal Skrivanek 2014-02-28 09:35:58 UTC
(In reply to Sven Kieske from comment #5)
depending on the fix…it may be too late for 3.4. However I agree on the importance.

Comment 7 Sandro Bonazzola 2014-02-28 10:25:47 UTC
(In reply to Michal Skrivanek from comment #6)
> (In reply to Sven Kieske from comment #5)
> depending on the fix…it may be too late for 3.4. However I agree on the
> importance.

Michal, it's not an automation blocker so no need to postpone RC for it.
But if 
 - you think it's important
 - you can fix it before GA
 - you're sure the patch is not risky and won't hurt the stability of the release

Feel free to add it to blockers for 3.4.0 GA.

Comment 8 Sandro Bonazzola 2014-03-31 12:29:53 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.